weka.core.converters

## Class ConverterResources

- java.lang.Object
- - weka.core.converters.ConverterResources

-     public class ConverterResources
      extends java.lang.Object

  Helper class for dealing with Converter resources.
  Version:
    $Revision$
  Author:
    FracPete (fracpete at waikato dot ac dot nz)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CORE_FILE_LOADERS` the core loaders - hardcoded list necessary for RMI/Remote Experiments (comma-separated list).
    `static java.lang.String` | `CORE_FILE_SAVERS` the core savers - hardcoded list necessary for RMI/Remote Experiments (comma-separated list).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConverterResources()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Hashtable<java.lang.String,java.lang.String>` | `getFileLoaders()` Returns the file loaders.
    `static java.util.Hashtable<java.lang.String,java.lang.String>` | `getFileSavers()` Returns the file savers.
    `static java.util.Hashtable<java.lang.String,java.lang.String>` | `getURLFileLoaders()` Returns the URL file loaders.
    `static void` | `initialize()`
    `static boolean` | `isCoreFileLoader(java.lang.String classname)` checks whether the given class is one of the hardcoded core file loaders.
    `static boolean` | `isCoreFileSaver(java.lang.String classname)` checks whether the given class is one of the hardcoded core file savers.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CORE_FILE_LOADERS

          public static final java.lang.String CORE_FILE_LOADERS

      the core loaders - hardcoded list necessary for RMI/Remote Experiments (comma-separated list).

    - #### CORE_FILE_SAVERS

          public static final java.lang.String CORE_FILE_SAVERS

      the core savers - hardcoded list necessary for RMI/Remote Experiments (comma-separated list).

  - ### Constructor Detail

    - #### ConverterResources

          public ConverterResources()

  - ### Method Detail

    - #### isCoreFileLoader

          public static boolean isCoreFileLoader(java.lang.String classname)

      checks whether the given class is one of the hardcoded core file loaders.
      Parameters:
        `classname` - the class to check
      Returns:
        true if the class is one of the core loaders
      See Also:
        `CORE_FILE_LOADERS`

    - #### isCoreFileSaver

          public static boolean isCoreFileSaver(java.lang.String classname)

      checks whether the given class is one of the hardcoded core file savers.
      Parameters:
        `classname` - the class to check
      Returns:
        true if the class is one of the core savers
      See Also:
        `CORE_FILE_SAVERS`

    - #### getFileLoaders

          public static java.util.Hashtable<java.lang.String,java.lang.String> getFileLoaders()

      Returns the file loaders.
      Returns:
        the file loaders

    - #### getURLFileLoaders

          public static java.util.Hashtable<java.lang.String,java.lang.String> getURLFileLoaders()

      Returns the URL file loaders.
      Returns:
        the URL file loaders

    - #### getFileSavers

          public static java.util.Hashtable<java.lang.String,java.lang.String> getFileSavers()

      Returns the file savers.
      Returns:
        the file savers

    - #### initialize

          public static void initialize()